Subject: bug#77928: 31.0.50; ebcde0f90f6 (bug#77928) breaks :custom-face for themed faces

From: John Wiegley <[email-masked]>
Date: Sun, 08 Jun 2025 10:46:14 -0700

>>>>> Steven Allen <[email-masked]> writes:

> It would help to better understand how it was intended to behave:

> - Should :custom-face override the theme or should the theme override
>   :custom-face?

I’ve never used themes before, so I wasn’t thinking of them at all when the
feature was added. Someone who uses themes a lot, and customizes them, should
be asked this question.

> - Should customizations made via :custom-face be merged with the original
>   face definition (as with `custom-set-faces') or should they completely
>   replace the underlying face.

I would expect the behavior to be whatever `custom-set-faces' does. Since
use-package is only intended to expand to “best practice” Emacs Lisp, it
shouldn’t add any new behavior in my opinion.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2